petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCKSPSetKSP

Sets the KSP context for a KSP PC.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCKSPSetKSP(PC pc,KSP ksp)

Collective on PC

### Input Parameter

| pc | - the preconditioner context
| ksp | - the KSP solver

### Notes

The PC and the KSP must have the same communicator

### Keywords

PC, KSP, set, context

### Level

advanced

### Location

src/ksp/pc/impls/ksp/pcksp.c

### Implementations

PCKSPSetKSP_KSP in src/ksp/pc/impls/ksp/pcksp.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages